### Method

# AppStream Component set_name_variant_suffix

since: 0.12.10

#### Declaration [src]

    void
    as_component_set_name_variant_suffix (
      AsComponent* cpt,
      const gchar* value,
      const gchar* locale
    )

#### Description [src]

Set a variant suffix for the component name (only to be displayed if components have the same name).

Available since: 0.12.10

#### Parameters

`value`

  Type: `const gchar*`

  The developer or developer team name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`locale`

  Type: `const gchar*`

  The BCP47 locale, or `NULL`. e.g. “en-GB”.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.